Demande d'aide verification portage J5

Réduire
X
 
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [RÉGLÉ] Demande d'aide verification portage J5

    Bonjour ,
    Je pense avoir passé pour mes besoins perso (pas de commerce), mes: template / modules / plugin / composant, avec "succès​ " sous Joomla V5 et tout semble fonctionner (en local) sans activer le plug-in 'Comportement - Compatibilité ascendante​'.
    Question de base:
    Est-ce que je dois faire quelque chose de plus pour vérifier ?​
    Fichiers joints
    Dernière édition par artdigiprint à 10/02/2024, 17h02
    Si cela ne va pas bien aujourd’hui,
    Dites-vous qu'il y a toujours un lendemain où tous les possibles seront réalisables.
    www.artdigiprint.com / www.plumedepixel.com / http://jp.vallin.free.fr/anim/html_anim/

  • #2
    Bonjour,
    lister toutes les extensions tiers utilisées et demander confirmation de la compatibilité auprès des développeurs.
    en profiter pour diminuer le nombre d'extensions utilisées.
    Dernière édition par ManuelVoileux à 10/02/2024, 23h55
    Manuel
    --------
    voileux.org

    Commentaire


    • #3
      Bonjour,

      On est donc déjà en version 5.
      Si les extensions en question ne génèrent pas la moindre erreur avec le plugin de compatibilité désactivé, je ne vois pas ce qu'il faudrait encore vérifier.
      "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
      MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

      Commentaire


      • #4
        Merci Robert. Je comprends, je suis toujours inquiet au moment des upgrade. A chaque passage majeur 1 > 1.5 >2.5 > 3 >4, j'ai du refaire complètement le site, et au passage à la 5 j'ai dû aller une fois bidouiller dans la base de données pour réactiver le plugin de compatibilité, alors je suis devenu méfiant, et je n'ai plus que 7 plugin tiers : icagenda, route66, friendlycaptcha, Akkeba backup, Akeeba engage, Cards-layout et UP ! pour tout ! Up is fabulousse !
        J'attends avec impatience que icagenda et route66 se passent du plugin de retrocompatibilité.
        Dernière édition par ManuelVoileux à 11/02/2024, 09h50
        Manuel
        --------
        voileux.org

        Commentaire


        • #5
          Je te comprends, il m'est arrivé quelquefois de devoir moi aussi réactiver le plugin sur des sites J5.

          Cela dit, les migrations jusqu'à J3 étaient à mon sens plus complexes que le passage de J3 à J4 puis J5 dans la mesure où est apparue la vérification avant migration.
          Les sites que j'ai dû reconstruire (en général en important le contenu de la version précédente avec JMigrator) sont extrêmement rares.
          "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
          MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

          Commentaire


          • #6
            Bonjour,
            En fait c'est mes développements (modules et composants) sur lesquels j'ai des doutes.
            J'ai du réécrire pas mal de code php pour ne pas avoir de warning de fonctions dépréciées​, remplacer les appels Jommla du type ex:" jimport('joomla.filesystem.file'); " par "use Joomla\CMS\Filesystem\File;" , bref pas simple.

            Question:
            Actuellement mon site online est sous J4 , hébergé chez OVH mutualisé, mais impossible d'installer J5 pour une histoire de base de données < 8.013.
            Chez quel hébergeur êtes vous avec J5 ?
            Merci,
            Jean-Pierre
            Si cela ne va pas bien aujourd’hui,
            Dites-vous qu'il y a toujours un lendemain où tous les possibles seront réalisables.
            www.artdigiprint.com / www.plumedepixel.com / http://jp.vallin.free.fr/anim/html_anim/

            Commentaire


            • #7
              Bonjour,

              Comme je l'ai dit, si en local en J5 tes extensions sont compatibles sans le plugin, tu n'auras en principe pas plus d'erreurs en ligne.
              Je conseille souvent PlanetHoster, sponsor de Joomla! (voir lien en bas de cette page) et avec un service d'assistance au top, chez qui j'ai des sites personnels, mais il y en a d'autres.
              woluweb aime ceci.
              "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
              MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

              Commentaire

              Annonce

              Réduire
              Aucune annonce pour le moment.

              Partenaire de l'association

              Réduire

              Hébergeur Web PlanetHoster
              Travaille ...
              X